## Описание
*NIIETCM4 PD (Peripheral driver)* - это комплект драйверов, предназначеных для
ускорения и упрощения работы со внутренними периферийными устройствами
микроконтроллеров на базе ядра ARM Cortex-M4 производства ОАО "НИИЭТ".
Совместно с комплектом предоставляются:

- Шаблоны проектов
- Примеры использования драйверов
- Подробная документация

На данный момент в проекте реализованна поддержка периферийных блоков
следующих микроконтроллеров:

- К1921ВК01Т:

     - тактирование и сброс (RCC)
     - GPIO
     - DMA
     - UART
     - TIMER
     - RTC
     - BOOTFLASH
     - USERFLASH
     - EXTMEM
     - ADC
     - CAP
     - WATCHDOG
     - PWM

## Загрузки
Текущую версию драйвера можно скачать по данной ссылке: [NIIETCM4 Peripheral Driver v0.10.5](https://bitbucket.org/niietcm4/niietcm4_pd/downloads/niietcm4_pd_v0.10.5.zip).
Предыдущие версии могут быть найдены на странице [Загрузки](https://bitbucket.org/niietcm4/niietcm4_pd/downloads/). Историю релизов можно посмотреть [здесь](RELEASE.md).

## Контакты
Разработка ведется полностью открыто - проект расположен в публичном
репозитории на [BitBucket](https://bitbucket.org/niietcm4/niietcm4_pd).
Приветсвуются пожелания, сообщения об ошибках, неточностях. Способы связи
с разработчиками в порядке убывания предпочтительности:

- создание обсуждения в [репозитории](https://bitbucket.org/niietcm4/niietcm4_pd/issues/);
- по электронной почте [kolbov@niiet.ru](mailto:kolbov@niiet.ru);

Другие проекты, ориентированные на ARM Cortex-M4
микроконтроллеры НИИЭТ доступны на странице команды разрабочиков на [BitBucket](https://bitbucket.org/niietcm4).